/* Misc */
:root {
    --font-face: "home", sans-serif;
    --font-face-alt: "home", sans-serif;

    --button-primary-background: #e51f2b;
    --button-primary-background-hover: #c41e2b;
    --button-primary-color: #ffffff;
    --button-primary-color-hover: #ffffff;
    --button-secondary-background: #ffffff;
    --button-secondary-background-hover: #d1cccd;
    --button-secondary-color: #1d1d1b;
    --button-secondary-color-hover: #1d1d1b;

    --primary-color: #e51f2b;
    --primary-color-opacity: rgba(229, 31, 43, .25);
    --text-color: #1d1d1b;
    --text-color-hover: #e51f2b;

    --grey-color: #a3a3a3;
    --light-grey-color: #f0eeef;
}

html,
body {
    font-family: var(--font-face);
    color: var(--text-color);
}

body {
    display: flex;
    flex-direction: column;
}

.container.container-static {
    max-width: 1140px;
}

a {
    border-bottom: 1px solid transparent;
    transition: all .15s ease-in-out;
}

img {
    max-width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    line-height: 1.15;
}

.mb-n5 {
    margin-block-end: -3rem;
}

/* Buttons */
.btn {
    display: inline-block;
    text-align: center;
    text-decoration: none;
    padding: .75rem 2rem;
    border: none;
    border-radius: 50px;
    font-size: 1rem;
    line-height: 1.25;
    transition: border .3s ease-out,color .3s ease-out,background-color .3s ease-out,box-shadow .3s ease-out,opacity .3s ease-out;
    cursor: pointer;
    -webkit-appearance: none;
}

.btn.btn--primary {
    background: var(--button-primary-background);
    color: var(--button-primary-color);
}

.btn.btn--primary:hover,
.btn.btn--primary:focus-visible {
    background: var(--button-primary-background-hover);
    color: var(--button-primary-color-hover);
}

.btn.btn--secondary {
    background: var(--button-secondary-background);
    color: var(--button-secondary-color);
}

.btn.btn--secondary:hover,
.btn.btn--secondary:focus-visible {
    background: var(--button-secondary-background-hover);
    color: var(--button-secondary-color-hover);
}

/* Header */
.site-header {
    display: flex;
    align-items: center;
    height: 3.5rem;
    box-shadow: 10px 10px 60px rgba(0,0,0,.1);
}

.site-header .logo img {
    height: 1.5rem;
}

/* Blocks */
.block {
    background: var(--section-background-color, #fff);
    color: var(--section-text-color, #1d1d1b);
}

.block-banner .text p {
    font-size: 1.5rem;
}

.block-image img {
    width: 100%;
}

/* Forms */
.questionnaire .page {
    --gutter-x: 1rem;
    --gutter-y: 1rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-block-start: calc(-1 * var(--gutter-y));
    margin-inline: calc(-.5 * var(--gutter-x));
}

.questionnaire .form-group {
    flex: 0 0 auto;
    width: 100%;
    max-width: 100%;
    padding-inline: calc(var(--gutter-x) * .5);
    margin-block-start: var(--gutter-y);
}

.questionnaire .form-group.plain-text {
    margin-bottom: 0;
}

.questionnaire .form-group.plain-text.text-muted {
    margin-top: 0;
}

.questionnaire .form-group > label {
    font-size: 1.125rem;
    font-weight: 400 !important;
}

.form-control {
    -webkit-appearance: auto;
    -moz-appearance: auto;
    appearance: auto;
    display: block;
    width: 100%;
    height: calc(1.375em + 2rem + 2px);
    padding: .75rem 1.25rem;
    font-size: 1rem;
    line-height: 1.5;
    background-color: #fff;
    color: var(--text-color);
    border: 1px solid var(--grey-color);
    border-radius: 50px;
    transition: border .2s ease-in-out,box-shadow .2s ease-in-out;
}

textarea.form-control {
    height: 150px;
}

.custom-control {
    position: relative;
}

.custom-control-input {
    position: absolute;
    inset-inline-start: 0;
    z-index: -1;
    opacity: 0;
}

.custom-control-label {
    cursor: pointer;
    position: relative;
    padding-inline-start: 2.5rem;
    line-height: 1;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.custom-control-label::before {
    content: "";
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: 0;
    width: 1.5rem;
    height: 1.5rem;
    margin-right: .875rem;
    border: 1px solid var(--grey-color);
    border-radius: .25rem;
}

.custom-control-label::after {
    content: "";
    position: absolute;
    inset-block-start: .125rem;
    inset-inline-start: .375rem;
    width: .75rem;
    height: .75rem;
    background: none;
    border-radius: .25rem;
}

.custom-control-label a {
    color: inherit;
}

.custom-radio .custom-control-label::before {
    inset-block-start: -.25rem;
}

.custom-radio .custom-control-label::before,
.custom-radio .custom-control-label::after {
    border-radius: 50%;
}

.custom-control-input:checked ~ .custom-control-label::after {
    background: var(--primary-color);
}

.questionnaire .check-group > * {}

.questionnaire .check-group > label,
.questionnaire .check-group > small {
    grid-column-start: 1;
    grid-column-end: 2;
    order: -1;
}

.questionnaire .check-group > label {
    font-size: 1.5rem;
}

.questionnaire .check-group .custom-control {
    margin-bottom: 0;
}

.questionnaire .check-group .custom-control-label {
    display: inline-flex;
    align-items: center;
    padding: .75rem;
    border: 1px solid var(--grey-color);
    border-radius: 1rem;
    background: #fff;
    width: 100%;
    height: 100%;
}

.questionnaire .check-group .custom-control-label::before {
    position: relative;
    flex-shrink: 0;
}

.questionnaire .check-group .custom-control-label::after {
    top: auto;
    left: 1.125rem;
}

.questionnaire .hp {
    opacity: 0;
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: 0;
    height: 0;
    width: 0;
    z-index: -1;
    padding: 0;
    border: 0;
}

button[type="submit"] {
    display: block;
    margin: 2rem auto 0;
    background: var(--button-primary-background);
    color: var(--button-primary-color);
}

button[type="submit"]:hover,
button[type="submit"]:focus-visible {
    background: var(--button-primary-background-hover);
    color: var(--button-primary-color-hover);
}

.form-control:focus,
.custom-control-input:focus + label {
    border-color: var(--primary-color);
    outline: 0;
    box-shadow: none;
}

/*.form-control:focus,
.custom-control-input:focus + label {
    border-color: var(--primary-color);
    outline: 0;
    box-shadow: 0 0 0 .2rem var(--primary-color-opacity);
}*/

/* Footer */
.site-footer {
    background-color: var(--light-grey-color);
    color: var(--text-color);
    padding-block: 1.25rem;
    margin-block-start: auto;
}

.site-footer ul {
    list-style-type: none;
    padding: 0;
}

.site-footer a {
    color: inherit;
    text-decoration: none;
}

.site-footer .logo {
    display: flex;
    justify-content: center;
}

/* Responsive */
@media (min-width: 475px) {
    .check-group {
        grid-template-columns: repeat(2, 1fr);
    }

    .check-group > label,
    .check-group > small {
        grid-column-start: 1;
        grid-column-end: 3;
    }
}

@media (min-width: 576px) {
    .questionnaire .form-group.check-group {
        flex: 0 0 auto;
        width: 50%;
    }
}

@media (min-width: 768px) {
    .block-banner .image img {
        margin-inline-start: auto;
        margin-inline-end: auto;
    }

    .check-group {
        grid-template-columns: repeat(2, 1fr);
    }

    .check-group > label,
    .check-group > small {
        grid-column-start: 1;
        grid-column-end: 3;
    }
}
